STI deletion needs to be allowed to admins only
Description

Related issues:

Related to Foreman - Bug #20832: Plugins that registers custom host status br... Closed

Associated revisions

Revision f44a335f - 06/24/2020 08:50 AM - Marek Hulán

Fixes #29445 - restrict STI deletion to admin (#7694)

When obsolete STI records deletion was introduced, we allowed even

non-admin users to delete that. This patch makes it possible only for

admins to delete records from the database. Non-admin users only see a

short message explaining what happened, that they should contact

administrator and request ID that can help administrator to figure out

what happened.

It was also necessary to add explicit require_login call, otherwise

User.current was nil in case the stack failed before user was loaded.

This also made the page looks much nicer, becase the menu can be

properly rendered.

History

#1 - 03/31/2020 10:59 AM - Marek Hulán

- Related to Bug #20832: Plugins that registers custom host status break Foreman after uninstall added

#2 - 05/25/2020 10:46 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7694 added

#3 - 06/17/2020 01:31 PM - Tomer Brisker

- Target version set to 2.1.0

- Fixed in Releases deleted (2.1.0)

#4 - 06/24/2020 08:50 AM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#5 - 06/24/2020 08:51 AM - Tomer Brisker

- Fixed in Releases 2.1.0 added

- Fixed in Releases deleted (2.2.0)

#6 - 06/24/2020 09:01 AM - Marek Hulán
- Status changed from Ready For Testing to Closed

Applied in changeset f44a335fbfaee297d7ee828fdaecc34e6e1906ea.

#7 - 09/10/2020 05:04 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7975 added
